# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Project-wide Gradle settings.

# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.

# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html

# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
# Temporary workaround: all projects must use identical JVM arguments in gradle.properties to enable daemon sharing.
# Do not modify these values without first reviewing Bug 1954747: https://bugzilla.mozilla.org/show_bug.cgi?id=1954747
org.gradle.jvmargs=-Xmx7g -Xms2g -XX:MaxMetaspaceSize=6g -XX:+HeapDumpOnOutOfMemoryError -XX:+UseParallelGC
org.gradle.daemon=true

# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# https://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
# XXX Deactivated because of broken releases?
org.gradle.parallel=true

# File-system watching: https://blog.gradle.org/introducing-file-system-watching
org.gradle.vfs.watch=true

# When configured, Gradle will only configure relevant projects instead of all of them.
# This option should only be used with decoupled projects. More details, visit
# https://docs.gradle.org/current/userguide/multi_project_builds.html#sec:configuration_on_demand
org.gradle.configureondemand=true

# Build cache - further configured in settings.gradle
org.gradle.caching=true

# Workaround for intermittent failures
# https://github.com/mozilla-mobile/android-components/pull/5381
android.forceJacocoOutOfProcess=true

# Disabling unused features of the Android build system
android.defaults.buildfeatures.aidl=false
android.defaults.buildfeatures.renderscript=false
android.defaults.buildfeatures.shaders=false

# Default values for pom.xml
libLicense=MPL-2.0
libLicenseUrl=https://www.mozilla.org/en-US/MPL/2.0/

android.useAndroidX=true
android.enableJetifier=false

# Non-Transitive R Classes
android.nonTransitiveRClass=true

# Test fixtures
android.experimental.enableTestFixturesKotlinSupport=true
